Subject: bug#14333: 24.3.50; Emacs hangs when trying to exit

From: Eli Zaretskii <[email-masked]>
Date: Wed, 08 May 2013 19:43:23 +0300

> Date: Wed, 8 May 2013 09:51:38 +0200
> From: Dani Moncayo <[email-masked]>
> Cc: [email-masked]
> 
> C:\>gdb -p 1844
> GNU gdb (GDB) 7.5
> Copyright (C) 2012 Free Software Foundation, Inc.
> [...]
> Attaching to process 1844
> [New Thread 1844.0xd80]
> [New Thread 1844.0xc00]
> [New Thread 1844.0x4f0]
> [New Thread 1844.0xbb4]
> 
> I'm trying to exit gdb by typing "C-c", but it just makes another "New
> Thread" message appear, but gdb is still running and it doesn't give
> me chance for type any command.
> 
> What am I doing wrong?

I don't think it's you, I think GDB is for some reason unable to
attach to that Emacs process, so it just waits for the attach to
finish.

Does it help to press F12 with focus in the Emacs frame, while GDB
tries to attach?